"No items match %s" string does not appear translated in s-c

Bug #870604 reported by Gabor Kelemen on 2011-10-08
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Low
Unassigned
software-center (Ubuntu)
Low
Kiwinote
Oneiric
Low
Kiwinote
Precise
Undecided
Unassigned

Bug Description

When you type in a search expression that gives no results, the text "No items match %s" appears untranslated, despite being translated in the mo file:
https://translations.launchpad.net/ubuntu/oneiric/+source/software-center/+pots/software-center/hu/+translate?batch=10&show=all&search=no+items

Gabor Kelemen (kelemeng) wrote :
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Low
Robert Roth (evfool) wrote :

Agreed, the po files do not have the translations for this string, although it appears in the pot file. Probably the translations should be synced from launchpad.

Changed in software-center (Ubuntu):
status: New → Confirmed
importance: Undecided → Low
Gabor Kelemen (kelemeng) wrote :

$ msgunfmt /usr/share/locale-langpack/hu/LC_MESSAGES/software-center.mo | grep -A2 "No items"
msgid "No items in %s match “%s”"
msgstr "%s számítógépen nem található ennek megfelelő elem: „%s”"

msgid "No items match “%s”"
msgstr "Nincs ennek megfelelő elem: „%s”"

This looks to be a software bug, not an obsolete mo files thing. Besides, we got new langpacks yesterday.

Kiwinote (kiwinote) wrote :

This is indeed a bug in s-c - it seems that _("No items in %s match “%s”") doesn't result in translations, but _(u"No items in %s match “%s”") does...

Changed in software-center (Ubuntu):
assignee: nobody → Kiwinote (kiwinote)
status: Confirmed → Fix Committed
Clint Byrum (clint-fewbar) wrote :

Hmm, I'm wondering if the part of the diff below was intentional in the upload to oneiric-proposed. Where is CODENAME used?:

diff -Nru software-center-5.0.1.4/softwarecenter/version.py software-center-5.0.1.5/softwarecenter/version.py
--- software-center-5.0.1.4/softwarecenter/version.py 2011-10-07 15:07:51.000000000 +0000
+++ software-center-5.0.1.5/softwarecenter/version.py 2011-10-11 14:56:13.000000000 +0000
@@ -1,5 +1,5 @@

-VERSION='5.0.1.4'
-CODENAME='oneiric'
+VERSION='5.0.1.5'
+CODENAME='oneiric-proposed'
 DISTRO='Ubuntu'
 RELEASE='11.10'

Hello Gabor, or anyone else affected,

Accepted software-center into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Gabor Kelemen (kelemeng) wrote :

The proposed version 5.0.1.5 fixed the bug.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.0.1.5

---------------
software-center (5.0.1.5) oneiric-proposed; urgency=low

  [ Robert Roth ]
  * lp:~evfool/software-center/fixlp870595:
    - Mark the For Software Developers menu item label from the Help
      menu translatable to fix bug LP: #870595.

  [ Kiwinote ]
  * softwarecenter/ui/gtk3/widgets/searchaid.py:
    - make 'no items match <searchterm>' display translated (LP: #870604)
    - fix markup error which causes spelling suggestions not to be displayed

  [ Michael Vogt ]
  * software-center:
    - fix --measure-startup-time
 -- Michael Vogt <email address hidden> Wed, 12 Oct 2011 09:11:15 +0200

Changed in software-center (Ubuntu Precise):
status: New → Fix Released
Changed in software-center (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Gabor Kelemen (kelemeng) on 2011-10-18
Changed in ubuntu-translations:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers